CVE-2019-9824

NameCVE-2019-9824
Descriptiontcp_emu in slirp/tcp_subr.c (aka slirp/src/tcp_subr.c) in QEMU 3.0.0 uses uninitialized data in an snprintf call, leading to Information disclosure.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1781-1, DSA-4454-1
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
qemu (PTS)stretch1:2.8+dfsg-6+deb9u9fixed
stretch (security)1:2.8+dfsg-6+deb9u16fixed
buster, buster (security)1:3.1+dfsg-8+deb10u8fixed
bullseye1:5.2+dfsg-11fixed
bookworm, sid1:6.1+dfsg-5fixed
slirp4netns (PTS)buster0.2.3-1fixed
bookworm, bullseye, sid1.0.1-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
qemusourcejessie1:2.1+dfsg-12+deb8u11DLA-1781-1
qemusourcestretch1:2.8+dfsg-6+deb9u6DSA-4454-1
qemusource(unstable)1:3.1+dfsg-6
qemu-kvmsource(unstable)(unfixed)
slirp4netnssourcebuster0.2.3-1
slirp4netnssource(unstable)0.3.1-1

Notes

https://lists.gnu.org/archive/html/qemu-devel/2019-03/msg01871.html
https://www.openwall.com/lists/oss-security/2019/03/18/1
https://github.com/qemu/qemu/commit/d3222975c7d6cda9e25809dea05241188457b113
https://github.com/rootless-containers/slirp4netns/security/advisories/GHSA-vp7q-v36g-7vq7

Search for package or bug name: Reporting problems